package java.security;

import javax.security.auth.login.LoginException;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.Subject;

public abstract class AuthProvider extends Provider
{
    private static final long serialVersionUID = 4197859053084546461L;
    
    protected AuthProvider(String s, double n, String s2) {
        super(s, n, s2);
    }
    
    public abstract void login(Subject p0, CallbackHandler p1) throws LoginException;
    
    public abstract void logout() throws LoginException;
    
    public abstract void setCallbackHandler(CallbackHandler p0);
}
